Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ExplainResponseStringPlan.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ExplainResponseStringPlan.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainResponseStringPlan.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ExplainResponseStringPlan.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ExplainResponseStringPlanOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.ExplainResponseStringPlan`

public static final class ClientWireProtocol.ExplainResponseStringPlan.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainResponseStringPlan.Builder> implements ClientWireProtocol.ExplainResponseStringPlanOrBuilder
Protobuf type `xg.cmdcomp.ExplainResponseStringPlan`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.ExplainResponseStringPlan`
`build()`
`ClientWireProtocol.ExplainResponseStringPlan`
`buildPartial()`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`clear()`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`clearPlan()`
`string plan = 2;`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`clearRedirect()`
Redirect = true, means we are telling client to send the command elsewhere
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`clearRedirectHost()`
`string redirectHost = 4;`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`clearRedirectPort()`
`fixed32 redirectPort = 5;`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`clearResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ExplainResponseStringPlan`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getPlan()`
`string plan = 2;`
`com.google.protobuf.ByteString`
`getPlanBytes()`
`string plan = 2;`
`boolean`
`getRedirect()`
Redirect = true, means we are telling client to send the command elsewhere
`String`
`getRedirectHost()`
`string redirectHost = 4;`
`com.google.protobuf.ByteString`
`getRedirectHostBytes()`
`string redirectHost = 4;`
`int`
`getRedirectPort()`
`fixed32 redirectPort = 5;`
`ClientWireProtocol.ConfirmationResponse`
`getResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`getResponseBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`getResponseOrBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean`
`hasResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`mergeFrom(ClientWireProtocol.ExplainResponseStringPlan other)`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`mergeResponse(ClientWireProtocol.ConfirmationResponse value)`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`final ClientWireProtocol.ExplainResponseStringPlan.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`setPlan(String value)`
`string plan = 2;`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`setPlanBytes(com.google.protobuf.ByteString value)`
`string plan = 2;`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`setRedirect(boolean value)`
Redirect = true, means we are telling client to send the command elsewhere
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`setRedirectHost(String value)`
`string redirectHost = 4;`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`setRedirectHostBytes(com.google.protobuf.ByteString value)`
`string redirectHost = 4;`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`setRedirectPort(int value)`
`fixed32 redirectPort = 5;`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`setResponse(ClientWireProtocol.ConfirmationResponse value)`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ExplainResponseStringPlan.Builder`
`setResponse(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`final ClientWireProtocol.ExplainResponseStringPlan.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainResponseStringPlan.Builder>`

### clear

public ClientWireProtocol.ExplainResponseStringPlan.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainResponseStringPlan.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainResponseStringPlan.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ExplainResponseStringPlan getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.ExplainResponseStringPlan build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ExplainResponseStringPlan buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.ExplainResponseStringPlan.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ExplainResponseStringPlan.Builder>`

### mergeFrom

public ClientWireProtocol.ExplainResponseStringPlan.Builder mergeFrom(ClientWireProtocol.ExplainResponseStringPlan other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainResponseStringPlan.Builder>`

### mergeFrom

public ClientWireProtocol.ExplainResponseStringPlan.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ExplainResponseStringPlan.Builder>`
Throws:
  `IOException`

### hasResponse

public boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `hasResponse` in interface `ClientWireProtocol.ExplainResponseStringPlanOrBuilder`
Returns:
  Whether the response field is set.

### getResponse

public ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponse` in interface `ClientWireProtocol.ExplainResponseStringPlanOrBuilder`
Returns:
  The response.

### setResponse

public ClientWireProtocol.ExplainResponseStringPlan.Builder setResponse(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### setResponse

public ClientWireProtocol.ExplainResponseStringPlan.Builder setResponse(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### mergeResponse

public ClientWireProtocol.ExplainResponseStringPlan.Builder mergeResponse(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### clearResponse

public ClientWireProtocol.ExplainResponseStringPlan.Builder clearResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseBuilder

public ClientWireProtocol.ConfirmationResponse.Builder getResponseBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseOrBuilder

public ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponseOrBuilder` in interface `ClientWireProtocol.ExplainResponseStringPlanOrBuilder`

### getPlan

public String getPlan()
`string plan = 2;`

Specified by:
  `getPlan` in interface `ClientWireProtocol.ExplainResponseStringPlanOrBuilder`
Returns:
  The plan.

### getPlanBytes

public com.google.protobuf.ByteString getPlanBytes()
`string plan = 2;`

Specified by:
  `getPlanBytes` in interface `ClientWireProtocol.ExplainResponseStringPlanOrBuilder`
Returns:
  The bytes for plan.

### setPlan

public ClientWireProtocol.ExplainResponseStringPlan.Builder setPlan(String value)
`string plan = 2;`

Parameters:
  `value` - The plan to set.
Returns:
  This builder for chaining.

### clearPlan

public ClientWireProtocol.ExplainResponseStringPlan.Builder clearPlan()
`string plan = 2;`

Returns:
  This builder for chaining.

### setPlanBytes

public ClientWireProtocol.ExplainResponseStringPlan.Builder setPlanBytes(com.google.protobuf.ByteString value)
`string plan = 2;`

Parameters:
  `value` - The bytes for plan to set.
Returns:
  This builder for chaining.

### getRedirect

public boolean getRedirect()

     Redirect = true, means we are telling client to send the command elsewhere

`bool redirect = 3;`

Specified by:
  `getRedirect` in interface `ClientWireProtocol.ExplainResponseStringPlanOrBuilder`
Returns:
  The redirect.

### setRedirect

public ClientWireProtocol.ExplainResponseStringPlan.Builder setRedirect(boolean value)

     Redirect = true, means we are telling client to send the command elsewhere

`bool redirect = 3;`

Parameters:
  `value` - The redirect to set.
Returns:
  This builder for chaining.

### clearRedirect

public ClientWireProtocol.ExplainResponseStringPlan.Builder clearRedirect()

     Redirect = true, means we are telling client to send the command elsewhere

`bool redirect = 3;`

Returns:
  This builder for chaining.

### getRedirectHost

public String getRedirectHost()
`string redirectHost = 4;`

Specified by:
  `getRedirectHost` in interface `ClientWireProtocol.ExplainResponseStringPlanOrBuilder`
Returns:
  The redirectHost.

### getRedirectHostBytes

public com.google.protobuf.ByteString getRedirectHostBytes()
`string redirectHost = 4;`

Specified by:
  `getRedirectHostBytes` in interface `ClientWireProtocol.ExplainResponseStringPlanOrBuilder`
Returns:
  The bytes for redirectHost.

### setRedirectHost

public ClientWireProtocol.ExplainResponseStringPlan.Builder setRedirectHost(String value)
`string redirectHost = 4;`

Parameters:
  `value` - The redirectHost to set.
Returns:
  This builder for chaining.

### clearRedirectHost

public ClientWireProtocol.ExplainResponseStringPlan.Builder clearRedirectHost()
`string redirectHost = 4;`

Returns:
  This builder for chaining.

### setRedirectHostBytes

public ClientWireProtocol.ExplainResponseStringPlan.Builder setRedirectHostBytes(com.google.protobuf.ByteString value)
`string redirectHost = 4;`

Parameters:
  `value` - The bytes for redirectHost to set.
Returns:
  This builder for chaining.

### getRedirectPort

public int getRedirectPort()
`fixed32 redirectPort = 5;`

Specified by:
  `getRedirectPort` in interface `ClientWireProtocol.ExplainResponseStringPlanOrBuilder`
Returns:
  The redirectPort.

### setRedirectPort

public ClientWireProtocol.ExplainResponseStringPlan.Builder setRedirectPort(int value)
`fixed32 redirectPort = 5;`

Parameters:
  `value` - The redirectPort to set.
Returns:
  This builder for chaining.

### clearRedirectPort

public ClientWireProtocol.ExplainResponseStringPlan.Builder clearRedirectPort()
`fixed32 redirectPort = 5;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.ExplainResponseStringPlan.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainResponseStringPlan.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.ExplainResponseStringPlan.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainResponseStringPlan.Builder>`